Save Transcript

Save transcript of a dialog that captures messages exchanged between
different participants.

Currently, only plaintext/html messages are supported.

Messages are saved in the order they are present in the request.

If a message could not be saved, subsequent messages in the request will be discarded.
In this case the 'status' in the response is set to PARTIAL_SUCCESS along with list of messages that were saved successfully.

If all messages were saved successfully then 'status' in the response is set to COMPLETE_SUCCESS.

Note: The maximum supported size for the request body is 600KB.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 6 and 6
^[a-zA-Z]{6}$

The unique 6 character internal id that represents the customer account.

string
required
length between 36 and 36
^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$

The unique 36 character internal id that represents the engagement.

string
required
length between 1 and 100

The unique 1-100 characters internal id that represents the Dialog.

Body Params

Represents a transcript of a dialog that captures messages exchanged between different participants.
The maximum supported size for the request body is 600 KB.

string
required
length ≤ 15

Type of dialog channel where transcript occurred such as CHAT, MESSAGING, EMAIL, VOICE.

messages
array of objects
required
length ≤ 50

List of messages exchanged as part of the dialog

messages*
string
enum

Direction of the dialog. Use INCOMING if the interaction is initiated by customer,
otherwise OUTGOING. Default is INCOMING.

Allowed:
string
length ≤ 256

The provider side identifier for a Contact Center dialog.
Messages with same 'providerDialogId' value are considered part of same conversation.
For VOICE channel this can be set to 'providerEngagementId' or unique idenfier of the interaction.

string
length ≤ 256

Name of the business account configured on the provider using which the message was sent.
For Voice channel, this can be set to 'dialedNumber'.
For custom messaging integration, provide the unique id of the integration (integrationId) here.

string
length ≤ 256

The correlation id can be used to uniquely identify the client request. This is an optional field but when specified it will be included in any callback events and can be used to correlate the callback event with the original API request.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json